% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/log_cholesky.R
\name{log_cholesky_exp}
\alias{log_cholesky_exp}
\title{Compute the Log-Cholesky Exponential}
\usage{
log_cholesky_exp(sigma, v)
}
\arguments{
\item{sigma}{A symmetric positive-definite matrix of class \code{dppMatrix}, representing the reference point.}

\item{v}{A symmetric matrix of class \code{dspMatrix}, representing the tangent vector to be mapped.}
}
\value{
A symmetric positive-definite matrix of class \code{dppMatrix}, representing the point on the manifold.
}
\description{
This function computes the Riemannian exponential map using the Log-Cholesky metric for symmetric positive-definite matrices. The map operates by transforming the tangent vector via Cholesky decomposition of the reference point.
}
